STOFFOLEParser::OleDirectory Struct Reference

Internal: internal method to keep ole directory and their content. More...

`#include <STOFFOLEParser.hxx>`

## Public Member Functions

| OleDirectory (STOFFInputStreamPtr &input, std::string const &dir)
| constructor
void | addNewBase (std::string const &base)
| add a new base file
std::vector< std::string > | getUnparsedOles () const
| returns the list of unknown ole

## Public Attributes

STOFFInputStreamPtr | m_input
| the main input
std::string | m_dir
| the dir name
std::vector< OleContent > | m_contentList
| the list of base name
STOFFDocument::Kind | m_kind
| the ole kind
bool | m_hasCompObj
| true if the directory contains a compobj object
std::string | m_clsName
| the compobj CLSname
std::string | m_clipName
| the compobj clipname
bool | m_parsed
| a flag to know if the directory is parsed or not
bool | m_inUse
| a flag to know if the directory is currently used

## Detailed Description

Internal: internal method to keep ole directory and their content.

## Constructor & Destructor Documentation

## OleDirectory()

STOFFOLEParser::OleDirectory::OleDirectory | ( | STOFFInputStreamPtr & | input,
|  | std::string const & | dir )

inline

constructor

## Member Function Documentation

## addNewBase()

void STOFFOLEParser::OleDirectory::addNewBase | ( | std::string const & | base | ) |

inline

add a new base file

## getUnparsedOles()

std::vector< std::string > STOFFOLEParser::OleDirectory::getUnparsedOles | ( |  | ) | const

inline

returns the list of unknown ole

Referenced by SDXParser::createZones(), and StarFileManager::readOLEDirectory().

## Member Data Documentation

## m_clipName

std::string STOFFOLEParser::OleDirectory::m_clipName

the compobj clipname

Referenced by STOFFOLEParser::getCompObjName(), OleDirectory(), and STOFFOLEParser::readCompObj().

## m_clsName

std::string STOFFOLEParser::OleDirectory::m_clsName

the compobj CLSname

Referenced by OleDirectory(), and STOFFOLEParser::readCompObj().

## m_contentList

std::vector<OleContent> STOFFOLEParser::OleDirectory::m_contentList

the list of base name

Referenced by addNewBase(), getUnparsedOles(), and OleDirectory().

## m_dir

std::string STOFFOLEParser::OleDirectory::m_dir

the dir name

Referenced by addNewBase(), OleDirectory(), and STOFFOLEParser::readCompObj().

## m_hasCompObj

bool STOFFOLEParser::OleDirectory::m_hasCompObj

true if the directory contains a compobj object

Referenced by addNewBase(), and OleDirectory().

## m_input

STOFFInputStreamPtr STOFFOLEParser::OleDirectory::m_input

the main input

Referenced by OleDirectory().

## m_inUse

bool STOFFOLEParser::OleDirectory::m_inUse

mutable

a flag to know if the directory is currently used

Referenced by OleDirectory().

## m_kind

STOFFDocument::Kind STOFFOLEParser::OleDirectory::m_kind

the ole kind

Referenced by OleDirectory().

## m_parsed

bool STOFFOLEParser::OleDirectory::m_parsed

a flag to know if the directory is parsed or not

Referenced by OleDirectory().

The documentation for this struct was generated from the following file:

- STOFFOLEParser.hxx